import { ModuleDeclaration, ModuleName, ModuleReference } from "typescript";

export function isEsmSupported() {
  const script = document.createElement("script");
  return "noModule" in script;
}

export async function loadModule(
  url: string
): Promise<{ default: Function | object } | Record<string, Function | Object>> {
  return import(url);
}
